util.ui

## Class TVBrowserIcons

- java.lang.Object
- - util.ui.TVBrowserIcons

-     public class TVBrowserIcons
      extends java.lang.Object

  common icons in TV-Browser
  Author:
    Bananeweizen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SIZE_LARGE` size of large icons
    `static int` | `SIZE_SMALL` size of small icons

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TVBrowserIcons()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.swing.ImageIcon` | `bottom(int size)` go to bottom icon
    `static javax.swing.ImageIcon` | `copy(int size)` copy icon
    `static javax.swing.ImageIcon` | `defaultChannelLogo()` icon for channels without logo
    `static javax.swing.ImageIcon` | `delete(int size)` delete icon
    `static javax.swing.ImageIcon` | `down(int size)` go down icon
    `static javax.swing.ImageIcon` | `edit(int size)` edit icon
    `static javax.swing.ImageIcon` | `filter(int size)` filter icon
    `static javax.swing.ImageIcon` | `fullScreen(int size)` full screen icon
    `static javax.swing.ImageIcon` | `goToDate(int size)` go to date icon
    `static javax.swing.ImageIcon` | `left(int size)` left icon
    `static javax.swing.ImageIcon` | `newIcon(int size)` new icon
    `static javax.swing.ImageIcon` | `nextWeek(int size)` next week icon
    `static javax.swing.ImageIcon` | `plugin(int size)` icon for plugins
    `static javax.swing.ImageIcon` | `preferences(int size)` icon for preferences
    `static javax.swing.ImageIcon` | `previousWeek(int size)` previous week icon
    `static javax.swing.ImageIcon` | `quit(int size)` quit icon
    `static javax.swing.ImageIcon` | `refresh(int size)` refresh icon
    `static javax.swing.ImageIcon` | `restart(int size)` restart icon
    `static javax.swing.ImageIcon` | `right(int size)` right icon
    `static javax.swing.ImageIcon` | `scrollToChannel(int size)` scroll to channel icon
    `static javax.swing.ImageIcon` | `scrollToNow(int size)` scroll to now icon
    `static javax.swing.ImageIcon` | `scrollToTime(int size)` scroll to time icon
    `static javax.swing.ImageIcon` | `search(int size)` search icon
    `static javax.swing.ImageIcon` | `top(int size)` go to top icon
    `static javax.swing.ImageIcon` | `up(int size)` go up icon
    `static javax.swing.ImageIcon` | `update(int size)` update data icon
    `static javax.swing.ImageIcon` | `viewTree(int size)` show plugin tree icon
    `static javax.swing.ImageIcon` | `warning(int size)` warning icon
    `static javax.swing.ImageIcon` | `webBrowser(int size)` icon for web browsing related actions
    `static javax.swing.ImageIcon` | `zoomIn(int size)` zoom in icon
    `static javax.swing.ImageIcon` | `zoomOut(int size)` zoom out icon

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SIZE_LARGE

          public static final int SIZE_LARGE

      size of large icons
      See Also:
        Constant Field Values

    - #### SIZE_SMALL

          public static final int SIZE_SMALL

      size of small icons
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TVBrowserIcons

          public TVBrowserIcons()

  - ### Method Detail

    - #### defaultChannelLogo

          public static final javax.swing.ImageIcon defaultChannelLogo()

      icon for channels without logo
      Returns:
        default channel logo

    - #### plugin

          public static final javax.swing.ImageIcon plugin(int size)

      icon for plugins
      Parameters:
        `size` -
      Returns:
        icon for plugins

    - #### webBrowser

          public static final javax.swing.ImageIcon webBrowser(int size)

      icon for web browsing related actions
      Parameters:
        `size` -
      Returns:
        icon for web browsing related actions

    - #### preferences

          public static javax.swing.ImageIcon preferences(int size)

      icon for preferences
      Parameters:
        `size` -
      Returns:
        icon for preferences

    - #### refresh

          public static javax.swing.ImageIcon refresh(int size)

      refresh icon
      Parameters:
        `size` -
      Returns:
        refresh icon

    - #### up

          public static javax.swing.ImageIcon up(int size)

      go up icon
      Parameters:
        `size` -
      Returns:
        go up icon

    - #### down

          public static javax.swing.ImageIcon down(int size)

      go down icon
      Parameters:
        `size` -
      Returns:
        go down icon

    - #### top

          public static javax.swing.ImageIcon top(int size)

      go to top icon
      Parameters:
        `size` -
      Returns:
        go to top icon

    - #### bottom

          public static javax.swing.ImageIcon bottom(int size)

      go to bottom icon
      Parameters:
        `size` -
      Returns:
        go to bottom icon

    - #### delete

          public static javax.swing.ImageIcon delete(int size)

      delete icon
      Parameters:
        `size` -
      Returns:
        delete icon

    - #### edit

          public static javax.swing.ImageIcon edit(int size)

      edit icon
      Parameters:
        `size` -
      Returns:
        edit icon

    - #### newIcon

          public static javax.swing.ImageIcon newIcon(int size)

      new icon
      Parameters:
        `size` -
      Returns:
        new icon

    - #### filter

          public static javax.swing.ImageIcon filter(int size)

      filter icon
      Parameters:
        `size` -
      Returns:
        filter icon

    - #### left

          public static javax.swing.ImageIcon left(int size)

      left icon
      Parameters:
        `size` -
      Returns:
        left icon

    - #### right

          public static javax.swing.ImageIcon right(int size)

      right icon
      Parameters:
        `size` -
      Returns:
        right icon

    - #### search

          public static javax.swing.ImageIcon search(int size)

      search icon
      Parameters:
        `size` -
      Returns:
        search icon

    - #### copy

          public static javax.swing.ImageIcon copy(int size)

      copy icon
      Parameters:
        `size` -
      Returns:
        copy icon

    - #### zoomIn

          public static javax.swing.ImageIcon zoomIn(int size)

      zoom in icon
      Parameters:
        `size` -
      Returns:
        zoom in icon

    - #### zoomOut

          public static javax.swing.ImageIcon zoomOut(int size)

      zoom out icon
      Parameters:
        `size` -
      Returns:
        zoom out icon

    - #### nextWeek

          public static javax.swing.ImageIcon nextWeek(int size)

      next week icon
      Parameters:
        `size` -
      Returns:
        next week icon

    - #### previousWeek

          public static javax.swing.ImageIcon previousWeek(int size)

      previous week icon
      Parameters:
        `size` -
      Returns:
        previous week icon

    - #### quit

          public static javax.swing.ImageIcon quit(int size)

      quit icon
      Parameters:
        `size` -
      Returns:
        quit icon

    - #### restart

          public static javax.swing.ImageIcon restart(int size)

      restart icon
      Parameters:
        `size` -
      Returns:
        restart icon

    - #### fullScreen

          public static javax.swing.ImageIcon fullScreen(int size)

      full screen icon
      Parameters:
        `size` -
      Returns:
        full screen icon

    - #### warning

          public static javax.swing.ImageIcon warning(int size)

      warning icon
      Parameters:
        `size` -
      Returns:
        warning icon

    - #### update

          public static javax.swing.ImageIcon update(int size)

      update data icon
      Parameters:
        `size` -
      Returns:
        update data icon

    - #### viewTree

          public static javax.swing.ImageIcon viewTree(int size)

      show plugin tree icon
      Parameters:
        `size` -
      Returns:
        show plugin tree icon

    - #### scrollToNow

          public static javax.swing.ImageIcon scrollToNow(int size)

      scroll to now icon
      Parameters:
        `size` -
      Returns:
        scroll to now icon

    - #### goToDate

          public static javax.swing.ImageIcon goToDate(int size)

      go to date icon
      Parameters:
        `size` -
      Returns:
        go to date icon

    - #### scrollToChannel

          public static javax.swing.ImageIcon scrollToChannel(int size)

      scroll to channel icon
      Parameters:
        `size` -
      Returns:
        scroll to channel icon

    - #### scrollToTime

          public static javax.swing.ImageIcon scrollToTime(int size)

      scroll to time icon
      Parameters:
        `size` -
      Returns:
        scroll to time icon

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)